/*
 Test tdlsht11lib
*/
#include "simpletools.h"                      // Include simple tools
#include "tdlsht11.h"

  //Define pins used for testing
int  DatPin = 9;
int  ClkPin = 8;

// Create an instance of the structure to return measured value
sht11values_t MyVals;
sht11values_t *pMyVals;



int main()                                    // Main function
{
long Hum;
long TmpC;
long TmpF;
long Status;

  // Add startup code here.
  // Assign the address of our structure to the pointer
  pMyVals = &MyVals;
  pause(1000);
  Start(DatPin,ClkPin,pMyVals);
  print("Starting Measurements\n");
  Status = ReadStatusReg();
  print("Status Reg = %d\n",Status);

  while(1)                                    // Repeat indefinitely
  {
    // Add main loop code here.
    Measure();
    Hum = pMyVals->rhlin;
    TmpC = pMyVals->tempC;
    TmpF = pMyVals->tempF;
    print("H:%d.%d%% T:%d.%dC, %d.%dF\n",Hum/10,Hum%10,TmpC/10,TmpC%10,TmpF/10,TmpF%10);
    print("rawhum: %d\n",pMyVals->rawhum);
    print("rawtemp: %d\n",pMyVals->rawtemp);
    print("rhlin: %d\n",pMyVals->rhlin);
    print("rhtrue: %d\n",pMyVals->rhtrue);
    print("tempC: %d\n",pMyVals->tempC);
    print("tempF: %d\n",pMyVals->tempF);
    print("\n");
    pause(5000);                             //Pace the measurement

    
  }  
}
